
package entities;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.MapsId;
import javax.persistence.OneToOne;

import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
//Here we rely on the id values being autogenerated!
@EqualsAndHashCode(of={"id"})
@Entity
public class ParkingLot implements Serializable {
    private static final long serialVersionUID = 1L;

    @Id
    private int id;

    private String location;

    // Owning side of a one-to-one relationship
    @OneToOne
    // Do not add a separate join column; map the foreign key to the primary key
    @MapsId("id")
    private Employee employee;
}
