package main.serialization;
import java.io.IOException;

import variants.MainRestoreDocument;
import variants.MainRestoreSettings;
import variants.MainSaveAndRestoreSettingsMultipleV1;
import variants.MainSaveAndRestoreSettingsMultipleV2;
import variants.MainSaveDocument;
import variants.MainSaveSettings;

// Important note: proper exception handling is omitted
// through all of these examples of serialization.
public class Main {
	public static final String SETTINGS_PATH = "settings.dat";
	public static final String DOCUMENT_PATH = "document.dat";

	// Test serialization on different objects
	public static void main(String[] args) throws IOException, ClassNotFoundException {
		MainSaveSettings.main(args);
		MainRestoreSettings.main(args);

		MainSaveAndRestoreSettingsMultipleV1.main(args);
		MainSaveAndRestoreSettingsMultipleV2.main(args);

		MainSaveDocument.main(args);
		MainRestoreDocument.main(args);
	}
}
