package objects;
import java.io.Serializable;

import lombok.Data;

@Data
// In general, all classes should be in named packages.
public class Document implements Serializable {
	/** Although Serializable classes can work without a defined serialVersionUID,
	    it is a good idea to include one. */
	private static final long serialVersionUID = 3715278607738102206L;

	public Node tree;
	public String comment;

	/** Transient fields do not participate in the default serialization
	    method. Note that many built-ins like threads, sockets and
	    streams are not serializable at all. */
	transient private Thread saveThread = new Thread();
}
