package objects;
import java.io.Serializable;

import lombok.ToString;

@ToString
// Every user-defined serializable class must implement
// the java.io.Serializable marker interface.
public class Settings implements Serializable {

	// A hash value describing the serialized structure of the class.
	// If not provided, the serialization framework will generate this
	// value. Always explicitly specify if the representation of the
	// instance state is likely to change in the future.
	public static final long serialVersionUID = 42L;

	// Primitive types have a default serialization method
	public int historySize;

	// Serializable class instances are nestable
	public FontSettings fontSettings;
}
