package variants;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;

import objects.Settings;
import utils.SavePaths;
import utils.Util;

public class MainSaveAndRestoreSettingsMultipleV1 {
	public static void main(String... args) throws IOException, ClassNotFoundException {
		Settings s = new Settings();
		s.historySize = 20;
		
		saveV1(s);
		
		try (
			ObjectInputStream ois = Util.getInputStream(SavePaths.SETTINGS_PATH);
		) {
			System.out.println("Restored settings 1: " + ois.readObject());
			System.out.println("Restored settings 2: " + ois.readObject());
		}
	}

	private static void saveV1(Settings s) throws IOException {
		try (
			ObjectOutputStream oos = Util.getOutputStream(SavePaths.SETTINGS_PATH);
		) {
			// Serialization will cache the object reference
			oos.writeObject(s);
		
			// The second write will not serialize the
			// value again if it's already in the cache
			s.historySize = 30;
			oos.writeObject(s);
		}
	}

}
