package variants;
import java.io.IOException;
import java.io.ObjectOutputStream;

import objects.Document;
import objects.Node;
import utils.SavePaths;
import utils.Util;

public class MainSaveDocument {
	public static void main(String... args) throws IOException {
		Document document = createDocumentObject();
		saveDocumentObject(document);
	}

	private static void saveDocumentObject(Document document) throws IOException {
		try (
			ObjectOutputStream oos = Util.getOutputStream(SavePaths.DOCUMENT_PATH);
		) {
			// Serialize the object into the stream
			oos.writeObject(document);
		}
	}

	// Just prepare a compound object
	private static Document createDocumentObject() {
		Document d = new Document();
		d.comment = "This is a test document.";
		d.tree = createNodeObject(d);
		return d;
	}

	private static Node createNodeObject(Document d) {
		Node root = new Node(0, null);
		root.left = new Node(1, root);
		root.right = new Node(2, root);
		return root;
	}

}
