package main.tcp;

import java.util.ArrayList;
import java.util.List;

public class Main {
	// Note: you can start both the server and the client
	// separately, as both contain a main method
	public static void main(String[] args) {
		Thread mainThread = startMainThread(args);

		List<Thread> clientThreads = startClientThreads(args);

		try { Thread.sleep(1000); } catch (InterruptedException e) {}

		stopThreads(mainThread, clientThreads);

		System.out.println("(main) Done.");
	}

	private static void stopThreads(Thread mainThread, List<Thread> clientThreads) {
		// Note: this step is too forceful in general.
		//mainThread.stop();

		clientThreads.forEach(clientThread -> {
			try {
				clientThread.join();
			} catch (InterruptedException e) {
				e.printStackTrace();
			}
		});
	}

	private static List<Thread> startClientThreads(String[] args) {
		List<Thread> clientThreads = new ArrayList<>();

		// Each second, start a client for a total of 4 clients.
		int clientThreadCount = 4;
		for (int i = 0; i < clientThreadCount; i++) {
			try { Thread.sleep(1000); } catch (InterruptedException e) {}

			Thread clientThread = new Thread(() -> ClientMain.main(args));
			clientThread.start();
			clientThreads.add(clientThread);
		}
		return clientThreads;
	}

	private static Thread startMainThread(String[] args) {
		// Start the server separately.
		Thread mainThread = new Thread(() -> ServerMain.main(args));
		mainThread.start();
		return mainThread;
	}
}
