package main.jaxrs.storage;
import java.util.Arrays;

import javax.ws.rs.NotFoundException;
import javax.ws.rs.client.Entity;
import javax.ws.rs.core.Form;
import javax.ws.rs.core.MediaType;

import org.glassfish.jersey.client.JerseyClient;
import org.glassfish.jersey.client.JerseyClientBuilder;
import org.glassfish.jersey.client.JerseyWebTarget;


// A standalone client class for storage-service.
public class Main {
	public static void main(String[] args) {
		JerseyClient client = new JerseyClientBuilder().build();
		JerseyWebTarget target = client.target("http://localhost:8080/jaxrs-storage-service/rest/storage");

		System.out.println("Inserting someKey=testValue");
		sendRequest(target, "someKey", new String[][]{ pair("value", "testValue") });

		System.out.print("Getting the value for someKey: ");
		String value = target.path("someKey").request().get(String.class);
		System.out.println(value);

		try {
			System.out.println("Removing someKey");
			target.path("someKey").request().delete();
			String value2 = target.path("someKey").request().get(String.class);
			System.out.println("Impossible: deleted value still exists " + value2);
		} catch (NotFoundException e) {
			System.out.println("OK: Resource not found exception caught.");
			// e.printStackTrace();
		}

		System.out.println("Done.");
	}

	private static String[] pair(String key, String value) {
		return new String[]{ key, value };
	}

	private static void sendRequest(JerseyWebTarget target, String key, String[]... pairs) {
		Form form = new Form();
		Arrays.stream(pairs).forEach(pair -> form.param(pair[0], pair[1]));
		target.path(key).request(MediaType.APPLICATION_FORM_URLENCODED).put(Entity.form(form));
	}
}
