package example;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

// This class shows the usage of some basic JAX-B annotations.
// With these we can control how to serialize the data from and into
// XML and JSON streams.
@Data
@NoArgsConstructor
@AllArgsConstructor
@XmlRootElement
@XmlAccessorType(XmlAccessType.FIELD)
public class ComplexEntity {
	@XmlAttribute(name="identifier")
	private int id;

	@XmlElement(name="content")
	private String name;
}
