package example;

import java.util.Map;
import java.util.concurrent.ConcurrentHashMap;

import javax.ws.rs.Consumes;
import javax.ws.rs.DELETE;
import javax.ws.rs.FormParam;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.PUT;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

@Path("/storage/{key : [a-zA-Z][a-zA-Z_0-9]+}")
public class StorageService {

	private static Map<String, String> map = new ConcurrentHashMap<>();

	@GET
	@Produces(MediaType.TEXT_PLAIN)
	public Response getValue(@PathParam("key") String key) {
		String value = map.get(key);
		if (null == value) {
			return Response
					.status(Response.Status.NOT_FOUND)
					.entity("Value with the key `" + key + "` not found.")
					.build();
		}
		return Response.ok(value).build();
	}

	// Note: browsers only support sending GET and POST requests.
	@POST
	@Consumes(MediaType.APPLICATION_FORM_URLENCODED)
	public void setValueAtWithPost(@PathParam("key") String key,
			             @FormParam("value") String value) {
		map.put(key, value);
	}

	@PUT
	@Consumes(MediaType.APPLICATION_FORM_URLENCODED)
	public void setValueAt(@PathParam("key") String key,
			             @FormParam("value") String value) {
		map.put(key, value);
	}

	@DELETE
	public void removeKey(@PathParam("key") String key) {
		map.remove(key);
	}
}
