package example;

import java.io.IOException;

import javax.ejb.EJB;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

@WebServlet("/")
public class MessageGenerator extends HttpServlet {
	private static final long serialVersionUID = 1L;
    
	@EJB
	private MessageGeneratorBean bean;
	
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// Redirect the request to a JSP page
		request.getRequestDispatcher("/WEB-INF/form.jsp").forward(request, response);
	}

	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		// Fetch user input
		String value = request.getParameter("value");
		
		// Add a message through the stateless bean.
		bean.addMessage(value, request.getHeader("User-Agent"));
		
		// Redirect to the original page
		response.sendRedirect(request.getRequestURI());
	}

}
