<?xml version="1.0" encoding="UTF-8" ?>
<!-- This comment will be visible in the HTML output -->
<%-- This is a "hidden comment", it will be removed by the JSP translation --%>
<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%-- Declare that we will use the JSTL Core tag library with the specified prefix --%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%-- Normal XHTML document type and content, extended with some custom tags --%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
<title>Number guessing game</title>
</head>
<body>
	<h1>Number guessing game</h1>
	<%-- One can use the expression language to reference objects and their properties --%>
	<c:if test="${gameBean.foundTheSolution}">
		<%--
			The c:out tag can be used to safely output the contents of variables,
			by escaping the HTML code inside them.
		 --%>
		Your guess was correct! You found the solution in <c:out value="${gameBean.numberOfGuesses}" /> tries.<br />
		The current record is <c:out value="${minGuesses}" /> tries.<br />
		<a href="?reset=true">Start a new game</a>
	</c:if>
	<%-- Content inside a c:if tag is processed only when its boolean condition "test" is true --%>
	<c:if test="${!gameBean.foundTheSolution}">
		<c:if test="${showSolution}">
			<span style="color: gray;">(The solution is: <c:out value="${gameBean.solution}" />)</span>
		</c:if>
		<form method="post" enctype="application/x-www-form-urlencoded">
			<label for="guess">Enter an integer in the range [1-10]:</label>
			<input type="text" id="guess" name="guess" />
			<br/>
			<input type="submit" value="Guess!" />
		</form>
		<c:if test="${gameBean.invalidNumber}">
			<div style="color: red;">Please enter a valid guess!</div>
		</c:if>
		<c:if test="${gameBean.incorrectGuess}">
			<div style="color: red;">Your guess is incorrect!</div>
		</c:if>
	</c:if>
</body>
</html>