package example.stateful;

import javax.interceptor.AroundInvoke;
import javax.interceptor.Interceptor;
import javax.interceptor.InvocationContext;

// This class can be used as an interceptor
@Interceptor
public class Logger {

	// The `invoke` method will be called instead of any business method
	@AroundInvoke
	private Object invoke(InvocationContext ctx) throws Exception {
		// Log the method name
		System.out.println("Intercepted: " + ctx.getMethod().getName());

		try {
			// Forward the call to the original method,
			// or to the next interceptor method in the chain
			return ctx.proceed();
		} catch (Exception e) {
			// Optionally, the exceptions can be handled here
			throw e;
		}
	}

}
