package example.stateless;

import javax.ejb.LocalBean;
import javax.ejb.Stateless;

// Another stateless session bean; it has only a local interface which is the
// same as defined by the class itself. The methods cannot be called remotely.
@Stateless
@LocalBean
public class SquareRootCalculatorBean {

	public void sqrt(ValueHolder result) {
		// We can return the value in the same object because it is passed
		// by-reference on a local interface, without serialization overhead.
		result.value = Math.sqrt(result.value);
	}
}
